<?php
 /*
  * Main Admin GUI File
  * © 2012 WpBrickr <info@wpbrickr.com>
  * All rights reserved by WpBrickr.Com
  */
  
 class wpb_ebs_gui {

   
   function settings() {
     if (!current_user_can('manage_options'))  {
       wp_die('You do not have sufficient permissions to access this page.');
     }
     
    if ($_POST) {
      update_option(WPB_EBS_OPTION_KEY, $_POST['wpb-ebs-settings']);
    }
     
     $options = get_option(WPB_EBS_OPTION_KEY);
    
     echo '<div class="wrap">
           <div class="icon-options-general"><br /></div>
           <h2>Easy Background Switcher Global Settings</h2>';

     echo '<form action="themes.php?page=wpb-ebs" method="post">';
     settings_fields(WPB_EBS_OPTION_KEY);
     
     echo '<hr/>';
     echo '<table class="form-table"><tbody>';
    
     echo '<tr valign="top">
           <td>';
     echo '<span class="description">Select default background you wish to use globaly if in post/page isn\'t configured differently.</span>';
     self::update_backgrounds();
           
     echo '<span class="description">Select default background you wish to use globaly if in post/page isn\'t configured differently.</span>';
     echo '<p class="submit"><input type="button" value="Apply Changes" class="button-primary" name="apply-changes" id="wpb-ebs-apply-changes" /></p>
           </td>
           </tr>';
           
     echo '</tbody></table>';

     echo '</form>';

     echo '</div>';
   } // settings
   
   
   function is_checked($setting = '') {
     $options = get_option(WPB_EBS_OPTION_KEY);
     if (isset($options[$setting])) {
       if ($options[$setting] == '1') {
         return 'checked="checked"';
       }
     }
     return '';
   } // is_checked
   
   
   function create_dropdown($options, $selected = '', $o = true) {
     $output = '';
     if (is_array($options)) {
      
       foreach ($options as $k => $v) {
         if ($k == $selected) {
           $output .= '<option value="' . $k . '" selected="selected">' . $v . '</option>';
         } else {
           $output .= '<option value="' . $k . '">' . $v . '</option>';
         }
       }
     }
    
     if ($o) {
       return $output;
     } else {
       echo $output;
     }
   } // create_dropdown
   
   
   function update_backgrounds() {
     $options = get_option(WPB_EBS_OPTION_KEY);
     $files   = glob(plugin_dir_path(__FILE__) . 'backgrounds/defaults/*');
     $remove  = plugin_dir_path(__FILE__);
     
     echo '<ul class="wpb-ebs-bg-list">';
     
     foreach($files as $file) {

       $image = $file;
       $image = str_replace($remove, '', $image);
       $image = plugins_url($image, __FILE__);
       
       if ($image == $options) {
       echo '<li>
               <a href="#" class="wpb-ebs-active">
                 <div class="wpb-ebs-img" style="background:url(\'' . $image . '\') top left repeat;" data-bg="' . $image . '"></div>
               </a>
             </li>';
       } else {
       echo '<li>
               <a href="#">
                 <div class="wpb-ebs-img active" style="background:url(\'' . $image . '\') top left repeat;" data-bg="' . $image . '"></div>
               </a>
             </li>';         
       }
     }
     echo '<br style="clear:both;"/>';
     echo '</ul>';
   } // update_backgrounds
   
   
 } // class wpb_anyhover_gui